Loading...
Searching...
No Matches
integral_data< T, U > Struct Template Reference

Represents integral data, containing the kernel, and a list of entities to integrate over and the indicies of the coefficient functions (relative to the Form) active for this integral. More...

`#include <Form.h>`

## Public Member Functions

template<typename K, typename V, typename W> requires std::is_convertible_v< std::remove_cvref_t<K>, std::function<void(T*, const T*, const T*, const U*, const int*, const uint8_t*, void*)>> and std::is_convertible_v<std::remove_cvref_t<V>, std::vector<std::int32_t>> and std::is_convertible_v<std::remove_cvref_t<W>, std::vector<int>>
| integral_data (K &&kernel, V &&entities, W &&coeffs)
| Create a structure to hold integral data.

## Public Attributes

std::function< void(T *, const T *, const T *, const U *, const int *, const uint8_t *, void *)> | kernel
| The integration kernel.
std::vector< std::int32_t > | entities
| The entities to integrate over for this integral. These are the entities in 'full' mesh.
std::vector< int > | coeffs
| Indices of coefficients (from the form) that are in this integral.

## Detailed Description

template<dolfinx::scalar T, std::floating_point U = scalar_value_t<T>>
struct dolfinx::fem::integral_data< T, U >

Represents integral data, containing the kernel, and a list of entities to integrate over and the indicies of the coefficient functions (relative to the Form) active for this integral.

## Constructor & Destructor Documentation

## integral_data()

template<dolfinx::scalar T, std::floating_point U = scalar_value_t<T>>
template<typename K, typename V, typename W>
requires std::is_convertible_v< std::remove_cvref_t<K>, std::function<void(T*, const T*, const T*, const U*, const int*, const uint8_t*, void*)>> and std::is_convertible_v<std::remove_cvref_t<V>, std::vector<std::int32_t>> and std::is_convertible_v<std::remove_cvref_t<W>, std::vector<int>>

integral_data | ( | K && | kernel,
|  | V && | entities,
|  | W && | coeffs )

inline

Create a structure to hold integral data.

Parameters

  [in] | kernel | Integration kernel function.
  [in] | entities | Indices of entities to integrate over.
  [in] | coeffs | Indices of the coefficients that are present (active) in kernel.

The documentation for this struct was generated from the following file:

- /build/fenics-dolfinx-PdyzCE/fenics-dolfinx-0.10.0.post5/cpp/dolfinx/fem/Form.h